Bug 44661 - rpm --rebuild kernel-2.4.5-0.2.9.src.rpm with error
Summary: rpm --rebuild kernel-2.4.5-0.2.9.src.rpm with error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 02:13 UTC by Charles R. Tersteeg
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 12:39:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles R. Tersteeg 2001-06-15 02:13:03 UTC
Description of Problem:

fails to build and errors out

How Reproducible:

did not try to reproduce

Steps to Reproduce:
1. 
2. rpm --rebuild kernel-2.4.5-0.2.9.src.rpm
3. 

Actual Results:

qla1280.c: In function `qla1280_setup_chip':
qla1280.c:2828: warning: right shift count >= width of type
qla1280.c:2829: warning: right shift count >= width of type
qla1280.c: In function `qla1280_init_rings':
qla1280.c:2949: warning: right shift count >= width of type
qla1280.c:2950: warning: right shift count >= width of type
qla1280.c:2964: warning: right shift count >= width of type
qla1280.c:2965: warning: right shift count >= width of type
skrlmt.c: In function `SkRlmtEvtTim':
skrlmt.c:2728: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [skrlmt.o] Error 2
make[2]: *** [_modsubdir_sk98lin] Error 2
make[1]: *** [_modsubdir_net] Error 2
make[1]: *** Waiting for unfinished jobs....
eata_dma.c: In function `register_HBA':
eata_dma.c:1070: warning: `hd' might be used uninitialized in this function
make: *** [_mod_drivers] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.9350 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.9350 (%build)

Expected Results:

build kernel rpms for kernel upgrade

Additional Information:
	
none

Comment 1 Arjan van de Ven 2001-06-15 09:09:38 UTC
What gcc version are you using ?
This is a compiler segfault -> compiler bug, reassigning to gcc

Comment 2 Jakub Jelinek 2001-06-15 10:08:55 UTC
Actually, unless it is reproduceable on the same file all the time with the
same error, it is probably a hardware problem.
If it is reproduceable, please attach here preprocessed source and gcc options
used to reproduce it.

Comment 3 Charles R. Tersteeg 2001-06-15 12:39:07 UTC
I'm using gcc-2.96-85 as it said it would not recompile with one i had installed
by default on rh7.1

I'll try and reproduce the error, but it seems to error out in different places.
no more supermicro boards for me.

Comment 4 Jakub Jelinek 2001-07-23 15:27:23 UTC
Assuming it is a hardware problem then...


Note You need to log in before you can comment on or make changes to this bug.